Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514973 - when under 60 concurrent registration load there is lots of: Required lock is already taken by other running tasks.
Summary: when under 60 concurrent registration load there is lots of: Required lock is...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 19:13 UTC by Jan Hutař
Modified: 2018-10-22 12:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-22 12:53:51 UTC


Attachments (Terms of Use)

Description Jan Hutař 2017-11-19 19:13:23 UTC
Description of problem:
I'm running 30 concurrent registrations using bootstrap.py for 10 hours, so Satellite have above 5k registered content hosts now, but noticed this issue in the logs.

Mine registration process is set in a way, that if bootstrap.py fails (returns non 0), it is started again in 10 seconds, max 10 times.

Tasks conflicting with us are another registration tasks. They take up to 3 minutes to complete. Is it possible that these are just tasks created in previous registration attempt?


Version-Release number of selected component (if applicable):
satellite-6.3.0-21.0.beta.el7sat.noarch


How reproducible:
very often - I guess I see it 10 times for each 30 concurrent reg bunch


Steps to Reproduce:
1. Run 30 concurrent registrations (on different systems every time) for
   10 hours and watch the logs


Actual results:
2017-11-19 13:57:32 7d63df19 [foreman-tasks/action] [E] Required lock is already taken by other running tasks.
 | Please inspect their state, fix their errors and resume them.
 | 
 | Required lock: read
 | Conflicts with tasks:
 | - https://<fqdn>/foreman_tasks/tasks/d8e57738-859d-4260-80f2-7af46bc02eef (ForemanTasks::Lock::LockConflict


Expected results:
There should not be any error

Comment 2 Jan Hutař 2017-11-19 19:17:28 UTC
This might be relevant to other two bugs reported with same scenario: bug 1514972 and bug 1514974

Comment 4 Jan Hutař 2017-11-20 13:02:55 UTC
This was actually observed for series of 60 concurrent regs (with 3 retries on failure on client side), not 30 concurrent. I'm sorry for confusion.

Comment 6 Zach Huntington-Meath 2018-09-25 15:20:51 UTC
Can this be retested? We think that this may have been fixed with more recently upgrades to concurrent registrations.

Comment 7 Jan Hutař 2018-09-26 21:14:11 UTC
(In reply to Zach Huntington-Meath from comment #6)
> Can this be retested? We think that this may have been fixed with more
> recently upgrades to concurrent registrations.

You mean in 6.3.z or in 6.4.0?


Note You need to log in before you can comment on or make changes to this bug.